Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.tunnel.pool
Class PooledTunnelCreatorConfig

    java.lang.Object
      net.i2p.router.tunnel.TunnelCreatorConfig
          net.i2p.router.tunnel.pool.PooledTunnelCreatorConfig

All Implemented Interfaces:
  TunnelInfo

     class PooledTunnelCreatorConfig

extends TunnelCreatorConfig

Field Summary

Fields inherited from class net.i2p.router.tunnel.TunnelCreatorConfig
`_context`

Constructor Summary
`PooledTunnelCreatorConfig(RouterContext ctx, int length, boolean isInbound)` Creates a new instance of PooledTunnelCreatorConfig
`PooledTunnelCreatorConfig(RouterContext ctx, int length, boolean isInbound, Hash destination)`

Method Summary
`Properties` | `getOptions()`
`TunnelPool` | `getTunnelPool()`
`void` | `setExpireJob(Job job)` does nothing, to be deprecated
`void` | `setPairedTunnel(TunnelInfo tunnel)` Deprecated. Fix memory leaks caused by references if you need to use pairedTunnel
`(package private) void` | `setTestJob(TestJob job)` Deprecated. unused, which makes _testJob unused - why is it here
`void` | `setTunnelPool(TunnelPool pool)`
`void` | `testJobSuccessful(int ms)`
`void` | `testSuccessful(int ms)` take note that the tunnel was able to measurably Do Good in the given time
`boolean` | `tunnelFailed()` The tunnel failed a test, so (maybe) stop using it

Methods inherited from class net.i2p.router.tunnel.TunnelCreatorConfig
`getConfig, getDestination, getExpiration, getLength, getPeakThroughputKBps, getPeer, getProcessedMessagesCount, getReceiveTunnelId, getReplyMessageId, getReplyOrder, getSendTunnelId, getTunnelFailed, getTunnelFailures, getVerifiedBytesTransferred, incrementProcessedMessages, incrementVerifiedBytesTransferred, isInbound, setExpiration, setPeakThroughputKBps, setPeer, setReplyMessageId, setReplyOrder, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PooledTunnelCreatorConfig

    public PooledTunnelCreatorConfig(RouterContext ctx,
                                     int length,
                                     boolean isInbound)

  Creates a new instance of PooledTunnelCreatorConfig

### PooledTunnelCreatorConfig

    public PooledTunnelCreatorConfig(RouterContext ctx,
                                     int length,
                                     boolean isInbound,
                                     Hash destination)

Method Detail

### testSuccessful

    public void testSuccessful(int ms)

  Description copied from interface: `TunnelInfo`
  take note that the tunnel was able to measurably Do Good in the given time

  Specified by:
    `testSuccessful` in interface `TunnelInfo`
  Overrides:
    `testSuccessful` in class `TunnelCreatorConfig`

### testJobSuccessful

    public void testJobSuccessful(int ms)

### tunnelFailed

    public boolean tunnelFailed()

  The tunnel failed a test, so (maybe) stop using it

  Overrides:
    `tunnelFailed` in class `TunnelCreatorConfig`

### getOptions

    public Properties getOptions()

  Overrides:
    `getOptions` in class `TunnelCreatorConfig`

### setTunnelPool

    public void setTunnelPool(TunnelPool pool)

### getTunnelPool

    public TunnelPool getTunnelPool()

### setTestJob

    void setTestJob(TestJob job)

  Deprecated. unused, which makes _testJob unused - why is it here

### setExpireJob

    public void setExpireJob(Job job)

  does nothing, to be deprecated

### setPairedTunnel

    public void setPairedTunnel(TunnelInfo tunnel)

  Deprecated. Fix memory leaks caused by references if you need to use pairedTunnel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD